<?php
/*
Plugin Name: Footer Information
Description: Adds copyright notice, website name, and current year to the footer of your website.
Version: 1.0
Author: WebHaqq
Author URI: https://www.webhaqq.com/
License: GPL2
*/
function display_footer_information() {
    $current_year = date('Y');
    $website_name = get_bloginfo( 'name' );
    $copyright = "&copy; $current_year";
    echo '<p style="text-align:center;">' . $copyright . $website_name . '</p>';
}

add_action( 'wp_footer', 'display_footer_information' );
?>